summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /sci-biology/mummer
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'sci-biology/mummer')
-rw-r--r--sci-biology/mummer/Manifest3
-rw-r--r--sci-biology/mummer/files/3.22-ldflags.patch16
-rw-r--r--sci-biology/mummer/files/3.22-prll.patch56
-rw-r--r--sci-biology/mummer/files/mummer-3.20-gcc43.patch12
-rw-r--r--sci-biology/mummer/metadata.xml8
-rw-r--r--sci-biology/mummer/mummer-3.20.ebuild58
-rw-r--r--sci-biology/mummer/mummer-3.21.ebuild53
-rw-r--r--sci-biology/mummer/mummer-3.22-r1.ebuild64
8 files changed, 270 insertions, 0 deletions
diff --git a/sci-biology/mummer/Manifest b/sci-biology/mummer/Manifest
new file mode 100644
index 00000000000..bae1ccf2f14
--- /dev/null
+++ b/sci-biology/mummer/Manifest
@@ -0,0 +1,3 @@
+DIST MUMmer3.20.tar.gz 3155446 SHA256 9c7880b4ce25ef3c6bed9ccdc26f1c4d7e74eb0ef1ce403907790c0f96c0f260
+DIST MUMmer3.21.tar.gz 3155965 SHA256 7fb1456c8c21eab4913a522e4b79bc5c84b7373feb54614a7003b16d47dc23b8
+DIST MUMmer3.22.tar.gz 3156338 SHA256 429022a8c6a7ae55fb1dd94dbdac1b21f662d6278668f5531c735911d9fc77da
diff --git a/sci-biology/mummer/files/3.22-ldflags.patch b/sci-biology/mummer/files/3.22-ldflags.patch
new file mode 100644
index 00000000000..d3c4a60a1ad
--- /dev/null
+++ b/sci-biology/mummer/files/3.22-ldflags.patch
@@ -0,0 +1,16 @@
+diff --git a/src/tigr/Makefile b/src/tigr/Makefile
+index cf6b9ca..5b28d1e 100644
+--- a/src/tigr/Makefile
++++ b/src/tigr/Makefile
+@@ -9,9 +9,9 @@ AUX_BIN_DIR := $(CURDIR)
+ endif
+
+ OBJ_RULE = $(CXX) $(CXXFLAGS) $< -c -o $@
+-BIN_RULE = $(CXX) $(CXXFLAGS) $^ -o $(BIN_DIR)/$@; \
++BIN_RULE = $(CXX) $(LDFLAGS) $(CXXFLAGS) $^ -o $(BIN_DIR)/$@; \
+ chmod 755 $(BIN_DIR)/$@
+-AUX_BIN_RULE = $(CXX) $(CXXFLAGS) $^ -o $(AUX_BIN_DIR)/$@; \
++AUX_BIN_RULE = $(CXX) $(LDFLAGS) $(CXXFLAGS) $^ -o $(AUX_BIN_DIR)/$@; \
+ chmod 755 $(AUX_BIN_DIR)/$@
+ VPATH := $(AUX_BIN_DIR):$(BIN_DIR)
+
diff --git a/sci-biology/mummer/files/3.22-prll.patch b/sci-biology/mummer/files/3.22-prll.patch
new file mode 100644
index 00000000000..3b24ee40214
--- /dev/null
+++ b/sci-biology/mummer/files/3.22-prll.patch
@@ -0,0 +1,56 @@
+diff --git a/Makefile b/Makefile
+index 4db4977..bbd00ed 100644
+--- a/Makefile
++++ b/Makefile
+@@ -114,15 +114,15 @@ install: all
+
+
+ kurtz:
+- cd $(KURTZ_SRC_DIR); $(MAKE) mummer
++ $(MAKE) -C $(KURTZ_SRC_DIR) mummer
+
+
+ scripts:
+- cd $(SCRIPT_DIR); $(MAKE) all
++ $(MAKE) -C $(SCRIPT_DIR) all
+
+
+ tigr:
+- cd $(TIGR_SRC_DIR); $(MAKE) all
++ $(MAKE) -C $(TIGR_SRC_DIR) all
+
+
+ uninstall: clean
+diff --git a/src/kurtz/Makefile b/src/kurtz/Makefile
+index 85dfc16..5bff793 100644
+--- a/src/kurtz/Makefile
++++ b/src/kurtz/Makefile
+@@ -1,7 +1,7 @@
+ all:
+- cd libbasedir; $(MAKE) all
+- cd streesrc; $(MAKE) all
+- cd mm3src; $(MAKE) all
++ $(MAKE) -C libbasedir all
++ $(MAKE) -C streesrc all
++ $(MAKE) -C mm3src all
+
+ clean:
+ rm -f *~
+@@ -10,11 +10,11 @@ clean:
+ cd mm3src; $(MAKE) clean
+
+ mummer:
+- cd libbasedir; $(MAKE) libbase.a
+- cd streesrc; $(MAKE) libstree.a
+- cd mm3src; $(MAKE) mummer
++ $(MAKE) -C libbasedir libbase.a
++ $(MAKE) -C streesrc libstree.a
++ $(MAKE) -C mm3src mummer
+
+ splintall:
+- cd libbasedir; ${MAKE} splintall
+- cd streesrc; ${MAKE} splintall
+- cd mm3src; ${MAKE} splintall
++ $(MAKE) -C libbasedir splintall
++ $(MAKE) -C streesrc splintall
++ $(MAKE) -C mm3src splintall
diff --git a/sci-biology/mummer/files/mummer-3.20-gcc43.patch b/sci-biology/mummer/files/mummer-3.20-gcc43.patch
new file mode 100644
index 00000000000..4d3edb41e46
--- /dev/null
+++ b/sci-biology/mummer/files/mummer-3.20-gcc43.patch
@@ -0,0 +1,12 @@
+--- src/tigr/show-diff.cc.orig 2008-06-16 17:55:34.000000000 +0000
++++ src/tigr/show-diff.cc 2008-06-16 17:56:25.000000000 +0000
+@@ -14,6 +14,8 @@
+ #include <cstdlib>
+ #include <cassert>
+ #include <climits>
++#include <algorithm>
++
+ using namespace std;
+
+
+
diff --git a/sci-biology/mummer/metadata.xml b/sci-biology/mummer/metadata.xml
new file mode 100644
index 00000000000..f82b462e1f9
--- /dev/null
+++ b/sci-biology/mummer/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>sci-biology</herd>
+ <upstream>
+ <remote-id type="sourceforge">mummer</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/sci-biology/mummer/mummer-3.20.ebuild b/sci-biology/mummer/mummer-3.20.ebuild
new file mode 100644
index 00000000000..2f566667cec
--- /dev/null
+++ b/sci-biology/mummer/mummer-3.20.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+inherit eutils
+
+MY_P="MUMmer${PV}"
+DESCRIPTION="A rapid whole genome aligner"
+HOMEPAGE="http://mummer.sourceforge.net/"
+SRC_URI="mirror://sourceforge/mummer/${MY_P}.tar.gz"
+
+LICENSE="Artistic"
+SLOT="0"
+IUSE="doc"
+KEYWORDS="amd64 x86"
+
+DEPEND=""
+RDEPEND="app-shells/tcsh"
+
+S="${WORKDIR}/${MY_P}"
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+ epatch "${FILESDIR}"/${P}-gcc43.patch
+ # Warning: package uses CPPFLAGS on c in addition to cpp, despite the name
+ sed -i -e 's/CPPFLAGS =/CPPFLAGS = ${CFLAGS} /' \
+ -e 's/LDFLAGS =$//' "${S}/Makefile"
+}
+
+src_compile() {
+ emake || die "emake failed"
+
+ sed -i -e 's|\($AUX_BIN_DIR = "\).*"|\1/usr/bin"|' \
+ -e 's|\($BIN_DIR = "\).*"|\1/usr/bin"|' \
+ -e 's|\($SCRIPT_DIR = "\).*"|\1/usr/share/'${PN}'/lib"|' \
+ -e 's|\(set bindir = \).*|\1/usr/bin|' \
+ -e 's|\(set scriptdir = \).*|\1/usr/share/'${PN}'/scripts|' \
+ -e 's|\(use lib "\).*"|\1/usr/share/'${PN}'/lib"|' \
+ scripts/* exact-tandems mapview mummerplot nucmer promer run-mummer{1,3} || die "Failed to replace paths"
+ sed -i 's|$bindir/annotate|$bindir/mummer-annotate|' run-mummer1 scripts/run-mummer1.csh
+}
+
+src_install() {
+ dobin nucmer2xfig show-coords mapview show-snps run-mummer{1,3} \
+ exact-tandems promer repeat-match show-aligns gaps mummer \
+ show-tiling mgaps nucmer mummerplot delta-filter combineMUMs aux_bin/* || die
+ newbin annotate mummer-annotate || die
+
+ insinto /usr/share/${PN}/scripts
+ doins scripts/{*.awk,*.csh,*.pl}
+ insinto /usr/share/${PN}/lib
+ doins scripts/Foundation.pm || die
+
+ dodoc ACKNOWLEDGEMENTS ChangeLog README
+ insinto /usr/share/doc/${PF}
+ use doc && doins -r docs
+}
diff --git a/sci-biology/mummer/mummer-3.21.ebuild b/sci-biology/mummer/mummer-3.21.ebuild
new file mode 100644
index 00000000000..64eaf1b3646
--- /dev/null
+++ b/sci-biology/mummer/mummer-3.21.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+inherit eutils
+
+DESCRIPTION="A rapid whole genome aligner"
+HOMEPAGE="http://mummer.sourceforge.net/"
+SRC_URI="mirror://sourceforge/mummer/MUMmer${PV}.tar.gz"
+
+LICENSE="Artistic"
+SLOT="0"
+IUSE="doc"
+KEYWORDS="amd64 x86"
+
+DEPEND=""
+RDEPEND="app-shells/tcsh"
+
+S="${WORKDIR}/MUMmer${PV}"
+
+src_unpack() {
+ unpack ${A}
+ # Warning: package uses CPPFLAGS on c as well as cpp, despite the name
+ sed -i -e 's/CPPFLAGS =/CPPFLAGS = ${CFLAGS} /' \
+ -e 's/LDFLAGS =$//' "${S}/Makefile" || die
+}
+
+src_compile() {
+ emake || die
+
+ sed -i -e 's|\($AUX_BIN_DIR = "\).*"|\1/usr/bin"|' \
+ -e 's|\($BIN_DIR = "\).*"|\1/usr/bin"|' \
+ -e 's|\($SCRIPT_DIR = "\).*"|\1/usr/share/'${PN}'/lib"|' \
+ -e 's|\(set bindir = \).*|\1/usr/bin|' \
+ -e 's|\(set scriptdir = \).*|\1/usr/share/'${PN}'/scripts|' \
+ -e 's|\(use lib "\).*"|\1/usr/share/'${PN}'/lib"|' \
+ scripts/* exact-tandems mapview mummerplot nucmer promer run-mummer{1,3} || die
+ mv annotate mummer-annotate || die
+ sed -i 's|$bindir/annotate|$bindir/mummer-annotate|' run-mummer1 scripts/run-mummer1.csh || die
+}
+
+src_install() {
+ dobin $(find . -maxdepth 1 -type f -executable) aux_bin/* || die
+
+ insinto /usr/share/${PN}/scripts
+ doins scripts/{*.awk,*.csh,*.pl} || die
+ insinto /usr/share/${PN}/lib
+ doins scripts/Foundation.pm || die
+
+ dodoc ACKNOWLEDGEMENTS ChangeLog README
+ insinto /usr/share/doc/${PF}
+ use doc && doins -r docs
+}
diff --git a/sci-biology/mummer/mummer-3.22-r1.ebuild b/sci-biology/mummer/mummer-3.22-r1.ebuild
new file mode 100644
index 00000000000..ad60acce35a
--- /dev/null
+++ b/sci-biology/mummer/mummer-3.22-r1.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="3"
+
+inherit eutils flag-o-matic
+
+DESCRIPTION="A rapid whole genome aligner"
+HOMEPAGE="http://mummer.sourceforge.net/"
+SRC_URI="mirror://sourceforge/mummer/MUMmer${PV}.tar.gz"
+
+LICENSE="Artistic"
+SLOT="0"
+IUSE="doc"
+KEYWORDS="amd64 x86"
+
+DEPEND=""
+RDEPEND="app-shells/tcsh"
+
+S="${WORKDIR}/MUMmer${PV}"
+
+src_prepare() {
+ use amd64 && append-flags -DSIXTYFOURBITS
+
+ epatch \
+ "${FILESDIR}"/${PV}-prll.patch \
+ "${FILESDIR}"/${PV}-ldflags.patch
+
+ sed \
+ -e '/^CFLAGS/d' \
+ -e '/^CXXFLAGS/d' \
+ -e '/^LDFLAGS/d' \
+ -i Makefile || die
+}
+
+src_compile() {
+ emake || die
+
+ sed -i -e 's|\($AUX_BIN_DIR = "\).*"|\1/usr/bin"|' \
+ -e 's|\($BIN_DIR = "\).*"|\1/usr/bin"|' \
+ -e 's|\($SCRIPT_DIR = "\).*"|\1/usr/share/'${PN}'/lib"|' \
+ -e 's|\(set bindir = \).*|\1/usr/bin|' \
+ -e 's|\(set scriptdir = \).*|\1/usr/share/'${PN}'/scripts|' \
+ -e 's|\(use lib "\).*"|\1/usr/share/'${PN}'/lib"|' \
+ scripts/* exact-tandems mapview mummerplot nucmer promer run-mummer{1,3} || die
+ mv annotate mummer-annotate || die
+ sed -i 's|$bindir/annotate|$bindir/mummer-annotate|' run-mummer1 scripts/run-mummer1.csh || die
+}
+
+src_install() {
+ dobin $(find . -maxdepth 1 -type f -executable) aux_bin/* || die
+
+ insinto /usr/share/${PN}/scripts
+ doins scripts/{*.awk,*.csh,*.pl} || die
+ insinto /usr/share/${PN}/lib
+ doins scripts/Foundation.pm || die
+
+ dodoc ACKNOWLEDGEMENTS ChangeLog README || die
+ insinto /usr/share/doc/${PF}
+ if use doc; then
+ doins -r docs || die
+ fi
+}